#ifndef AUDIOWIDGET_H
#define AUDIOWIDGET_H

#include <QTimer>

#include "audiolayerwidget.h"
#include "settings.h"
#include "miniaudioengine.h"
#include "defines.h" // MAX_LAYERS

class AudioWidget : public QWidget
{
    Q_OBJECT

public:
    AudioWidget(QWidget *parent = nullptr);
    void mediaLoaded(int layer, QString media, float duration);
    void volChanged(int layer, float vol);
    void panChanged(int layer, int pan);
    void pitchChanged(int layer, int pitch);
    void playbackChanged(int layer, Status status);
    void cursorChanged(int layer, float cursor);
    QHBoxLayout *m_layout;
/*
public slots:
    void uiSliderAction(int layer, Slider s, float value);
    void uiChangePlaybackStatus(int layer, Status s);
*/
signals:
    void uiPlaybackChanged(int layer, Status s);
    void uiSliderChanged(int layer, Slider s, int vol);
};

#endif // AUDIOWIDGET_H
