/*
   Libre Media Server Audio - An Open source Media Server for arts and performing.
   (c) Criptomart - Santiago Noreña 2012-2024 <lms@criptomart.net>
   https://git.criptomart.net/libremediaserver

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef LIBREMEDIASERVERAUDIO_H
#define LIBREMEDIASERVERAUDIO_H

#include "medialibrary.h"
#include "olathread.h"
#include "settings.h"
#include "defines.h"
#ifndef NOGUI
#include "libremediaserver-audio-gui.h"
#endif

class libreMediaServerAudio : public QObject
{
    Q_OBJECT

public:
    libreMediaServerAudio(bool gui = false);
    virtual ~libreMediaServerAudio();
    olaThread *m_ola;
#ifndef NOGUI
    void setUi(libreMediaServerAudioUi *lmsUi);
#endif

private:
    MediaLibrary *m_mediaLibrary;
    MiniAudioEngine m_mae;
    QString m_currentMedia[MAX_LAYERS];
#ifndef NOGUI
    bool m_ui;
    QTimer *m_refreshUi;
    libreMediaServerAudioUi *m_lmsUi;
#endif

private slots:
    void dmxInput(int layer, int channel, int value);
#ifndef NOGUI
    void refreshUi();
    void uiSliderChanged(int layer, Slider s, int value);
    void uiPlaybackChanged(int layer, Status s);
#endif
};

#endif // LIBREMEDIASERVERAUDIO_H
